WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Error – 'failed to geocode: OVER_QUERY_LIMIT".

[Resolved] Error – 'failed to geocode: OVER_QUERY_LIMIT".

  • I’m using the free version of Store Locator Plus, version 3.7.4. I tried it out last week and loved it. My first 3 entries worked great and I was very impressed…then all of my entries came back with the message “failed to geocode. Status: OVER_QUERY_LIMIT”

    I’ve read a previous thread from a site owner with a similar issue and it doesn’t seem to help. I have literally ONLY tried to add about 10 addresses, spread over 5 days, so I can’t imagine it’s a bulk load issue.

    I would like to upgrade to the ProPack, but if I can’t add locations it doesn’t do me much good. I would greatly appreciate any help. Thanks!

    http://wordpress.org/extend/plugins/store-locator-le/

Viewing 3 replies - 1 through 3 (of 3 total)
  • I forgot to mention that I have activated API v3, and it is my only active service. I also looked at my API request history, and I have had 45 total requests in the last 28 days. I even tried generating a new API key, but that didn’t help either. Maybe I need to turn something else on?

    Plugin Author Store Locator Plus
    Participant

    @charlestonsw

    First try REMOVING the API key. That will cause Google to check geocoding requests against your IP address.

    OVER_QUERY_LIMIT messages are based 100% on what Google responds to the plugin with when we send them the “hey, tell me the lat/long of this address” message. If you are seeing that message then Google thinks your server has made too many geocoding requests. Since you are using an API key it *should* be tied only to YOUR Google account, so being on a shared server should be a non-issue.

    Make sure your API key is listed properly. You can also try setting the retries to a higher number under the SLP General Settings page, but that is not a great solution. It simply re-sends the request after a short delay which hits the Google servers more frequently. It is meant more to handle THROTTLING than outright “you have hit your limit” problems.

    Thanks! Removing my API key worked. If I have a similar issue later I guess I’ll try getting a new API key with an email address linked directly to this specific website.

    I look forward to trying out the Pro Pack! Your plugin is awesome…just what I was looking for!!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Error – 'failed to geocode: OVER_QUERY_LIMIT".’ is closed to new replies.